Q3T - Quake 3 Terminator
------------------------
Client/server modification for Quake 3 Arena.

public beta 0.2


Q3T Base
--------
 http://www.planetquake/q3t

Check back at least weekly, so you don't miss any service packs.


Team Terminator is:
-------------------
	Stephan Ewert 	(aka "Coroner")
	Markus Theilen 	(aka "Tier")

Coding: Tier/Coroner
Gameplay/Artwork/Everything else: Coroner/Tier

Music provided by: Tweety
Produced and Mixed by: KillaDon

If you want to support Team Terminator with featured maps, models, gfx or setting up a server, send a mail to 

	tier@planetquake.com
or
	coroner@planetquake.com

with the Subject: Q3TSupport.



Installation:
-------------
Unzip q3tbeta.zip to your Quake 3 Arena directory. Launch the
game with: quake3.exe +set fs_game terminator. 
Q3T works fine with all Q3A maps, featured maps will follow.
That's it.

What is the mod about ?
-----------------------
Q3T provides a gameplay similar to HolyWars or CTC. One player becomes
the terminator, by picking up the Terminator item, which looks like a
red quad damage. 
The terminates has some red glow around it, recieves 200 health and 200
armor and scores by fragging his "targets" (all other players). 
If the other players kill each other by incident or purpose,
they don't receive any points or even loose one or more (this is
configurable by the server). Killing the terminator and picking up the
terminator item is rewarded 
(scoring configurable). If no one picks up the terminator item after the
terminator died it is respawned in its starting position. That's it..?
NO ! Q3T is a little bit different by the fact, that the Terminator HUD 
displays a target marker for all players in a 50 meters range. The
target marking isn't blocked by doors, walls or anything else (have a
look at the screenshots to see this in action). Yes, the Terminator can
see you coming down the hallway, while you don't even smell him!
(believe me, it is some much fun to kill targets that just bend around
the corner !!). It's quite hard to kill the Terminator in a single fire
fight, since he knows where you come from. The other players should team
up to take the death machine down, just to get points and eventually
become the Terminator themselfs. To help the other players in this task,
they have a hand held scanner, which displays the position of all
players in the map and marks the terminator to head for him.
Q3T can be played in all Q3A maps.
The gameplay might be improved in the future featured maps or at least
in large maps, where it is necessary to use the scanner to find the
terminator.

Good luck!

Features:
---------
The Terminator: The terminator HUD displays a target marker for all
players within a 50 meter range. The size of the marker depends on the
distance to the target. The terminator item never expires. If you
have picked up the item, you will stay terminator unless you get
killed by one of your opponents or by your own hand.

The Scanner: All players can use a scanner to search for others. The
scanner behaves like a normal weapon that just can't fire but can
only scan. The range of the scanner is limited to 100 meters which
normally exceeds the dimensions of the map. As the terminator scanner
too, the hand hold scanner can't be blocked by anything. To easily find
your target, the terminator, the scanner marks it.

Breakable Glass and Walls: You can break through glass and walls if
the map supports this feature. For multiplayer convenience, broken
glass and walls return after a while, usually when the marks from the
weapons disappear. So it's a never ending fun to let the shotgun
make your way through the map.

Key Bindings:
-------------
(There will be a UI for this stuff in the near future.)

Type 

\bind MOUSE3 +scanner

at the console to use the mouse button 3 to bring up the
scanner. The scanner needs a few millisecs (~350) to initialize, before it displays 
the positions of friends and foes.

Console Variables: 
------------------
gt_score_plfragterm     defaults to 3, frags a player receives for killing the Terminator
gt_score_termfragpl     defaults to 1, frags the Terminator receives for killing a player
gt_score_plfragpl       defaults to 0, frags a player receives for killing a player
gt_score_pickupterm     defaults to 2, frags a player receives for picking up the T-Item

gt_terminator		defaults to 1, 0 prevents the item_terminator from spawning
gt_scanner		defaults to 1, 0 removes the scanner

gt_term_maxHealth	defaults to 100, maximum value for health and armor. Health and 
			armor above this value decrease by one every second
gt_term_pickup		defautls to 1, if set to 0 prevents the Terminator from picking
			up health and armor. Usefull in combination with gt_term_maxHealth
			to keep the Terminator still "killable"..:-)

Building/improving own maps for Q3T
-----------------------------------
YOu can freely build and distribute maps with Q3T features, but we would like to
hear from you before.

To get breakable walls and a predefined spawn point for the
terminator item in a map, put the terminatorentities.def in your 
Q3Radiant directory. In the entity list of Q3Radiant you should now find the
"item_terminator" and the "func_breakable". Please have a look at the
included q3t_sample.map and see how to use it.

Featured Maps:
--------------
Will follow.


NOTE: A map that includes the item_terminator and func_breakable is
not restricted to the Q3T mod. It works also fine with pure Quake 3
Arena, except the func_breakable brushes and the item_terminator are
not existing.

Credits:
--------
Thanks go out to the following playtesters (in no special order):
	Killa Don
	Durin
	Eder
	Tweety

The game SkyNET form Bethseda Softworks inspired us to design Q3T. This game never received
the fame it deserved.
Bethseda homepage: http://www.bethsoft.com/adv_index.html
SkyNET homepage: http://www.bethsoft.com/games/skynet.html


Quake 3 Arena is a registered trademark of Id Sofware, Inc.
